Debian Bug report logs - #653912
new Gosa setup lacks the students file group

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 1 Jan 2012 13:03:01 UTC

Severity: important

Found in version debian-edu-config/1.446

Fixed in version debian-edu-config/1.448

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Sun, 01 Jan 2012 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 01 Jan 2012 13:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: please add shortcut to gosa pw change on users desktop
Date: Sun, 1 Jan 2012 14:01:38 +0100
package: debian-edu-config
version: 1.446

Hi,

previously, there was a shortcut on the users desktop to change their 
passwords with lwat. Now that we've changed to gosa there should be a similar 
shortcut. (But there isn't.)

<pere> h01ger: the students group is gone, and it is one of the triggers to 
get our menus.


cheers,
	Holger




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Sun, 01 Jan 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 01 Jan 2012 13:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 653912@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Sun, 1 Jan 2012 14:34:54 +0100
Hi,

please also see 
http://wiki.debian.org/DebianEdu/Documentation/Squeeze/HowTo/Users#Changing_passwords


cheers,
	Holger




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Sun, 01 Jan 2012 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 01 Jan 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 653912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Sun, 1 Jan 2012 15:49:42 +0100
[Holger Levsen]
> Hi,
> 
> please also see 
> http://wiki.debian.org/DebianEdu/Documentation/Squeeze/HowTo/Users#Changing_passwords

This should be done using the education-menus package and the
desktop-profiles mechanism.  We enable special menus for all file
group members of the students group.  See /etc/desktop-profiles/.

The new Gosa setup lack the students file group.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Sun, 01 Jan 2012 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 01 Jan 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #20 received at 653912@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 653912@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Sun, 1 Jan 2012 16:14:53 +0100
severity 653912 important
retitle new Gosa setup lacks the students file group
thanks

On Sonntag, 1. Januar 2012, Petter Reinholdtsen wrote:
> This should be done using the education-menus package and the
> desktop-profiles mechanism.  We enable special menus for all file
> group members of the students group.  See /etc/desktop-profiles/.
> 
> The new Gosa setup lack the students file group.





Severity set to 'important' from 'normal' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 01 Jan 2012 15:18:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'new Gosa setup lacks the students file group' from 'please add shortcut to gosa pw change on users desktop' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 01 Jan 2012 15:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Mon, 02 Jan 2012 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 02 Jan 2012 10:24:07 GMT) Full text and rfc822 format available.

Message #29 received at 653912@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 653912@bugs.debian.org
Subject: not a bug?
Date: Mon, 02 Jan 2012 11:20:21 +0100
[Message part 1 (text/plain, inline)]
Hi all,

I could not confirm this after a fresh main server install on 20120102.

$ getent group students
students:*:10004:newteacher,newstudent

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Mon, 02 Jan 2012 19:57:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Schweer <schweer@cityweb.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 02 Jan 2012 19:57:20 GMT) Full text and rfc822 format available.

Message #34 received at 653912@bugs.debian.org (full text, mbox):

From: Wolfgang Schweer <schweer@cityweb.de>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Mon, 2 Jan 2012 20:54:07 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 01, 2012 at 03:49:42PM +0100, Petter Reinholdtsen wrote:
> [Holger Levsen]
> > Hi,
> > 
> > please also see 
> > http://wiki.debian.org/DebianEdu/Documentation/Squeeze/HowTo/Users#Changing_passwords
> 
> This should be done using the education-menus package and the
> desktop-profiles mechanism.  We enable special menus for all file
> group members of the students group.  See /etc/desktop-profiles/.
> 
> The new Gosa setup lack the students file group.

Maybe id or id ${USER} could be used in the desktop-profiles mechanism 
using the $(<command>) option; id provides the groups.

Not sure, but I think that there is another problem: afaik plain desktop 
files are no longer possible using kde4, only plasmoids.

Wolfgang

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Mon, 02 Jan 2012 21:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 02 Jan 2012 21:54:05 GMT) Full text and rfc822 format available.

Message #39 received at 653912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Mon, 2 Jan 2012 22:51:26 +0100
I've checked again on a main-server installation, and the students
group exist and creating a new teacher is added to the students group.

The KDEDIRS environment seem to be set as it should by
desktop-profiles and contain /usr/share/debian-edu/students/, but the
desktop icons in /usr/share/debian-edu/students/ do not seem to take
effect.

The KDE menu reordering on the other hand seem to work just fine. :)

But if the point is to provid easy access for changing the password,
perhaps it is better to find a GUI kerberos tool to change it instead
of sending users to a Gosa page?  I tried with kpasswd (the cli), and
it worked just fine.  kdepasswd did not work, neither did passwd.

It might be easier to update the default K menu favorites with some
new entries, as we already replace the original list with our list.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Wed, 04 Jan 2012 12:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Schweer <schweer@cityweb.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 04 Jan 2012 12:54:20 GMT) Full text and rfc822 format available.

Message #44 received at 653912@bugs.debian.org (full text, mbox):

From: Wolfgang Schweer <schweer@cityweb.de>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Wed, 4 Jan 2012 13:21:05 +0100
[Message part 1 (text/plain, inline)]
On Mon, 02 Jan 2012, Petter Reinholdtsen wrote:

> The KDEDIRS environment seem to be set as it should by
> desktop-profiles and contain /usr/share/debian-edu/students/, but the
> desktop icons in /usr/share/debian-edu/students/ do not seem to take
> effect.

The apps/kdesktop mechanism seems to be missing in kde4 cause there 
isn't a »Desktop« any more - only plasmoids. It is possible though to 
use the (scriptable) plasmoid »folderview« to provide a Desktop like it 
used to be in kde3. As folderview is shipped by default the only thing 
remaining is to script it. The package desktop-base contains the file 
/usr/share/desktop-base/profiles/kde-profile/share/config/
plasma-desktop-appletsrc 

Dont't know if it is the right way to go but I modified this file 
(sample file attached) and adapted chguserpw.desktop (file attached). 
Create directory /usr/share/debian-edu/common/share/applications/ and 
put chguserpw.desktop into it.

It would be best to use a new user account to test it. There should be 
three icons on the desktop: change password, openoffice and iceweasel.

Wolfgang

[plasma-desktop-appletsrc.gz (application/octet-stream, attachment)]
[chguserpw.desktop.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Wed, 04 Jan 2012 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 04 Jan 2012 20:33:06 GMT) Full text and rfc822 format available.

Message #49 received at 653912@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Petter Reinholdtsen <pere@hungry.com>, 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Wed, 04 Jan 2012 21:28:38 +0100
[Message part 1 (text/plain, inline)]
Hi Petter,

On Mo 02 Jan 2012 22:51:26 CET Petter Reinholdtsen wrote:

> But if the point is to provid easy access for changing the password,
> perhaps it is better to find a GUI kerberos tool to change it instead
> of sending users to a Gosa page?  I tried with kpasswd (the cli), and
> it worked just fine.  kdepasswd did not work, neither did passwd.

I would like to discourage that: GOsa maintains/coordinates four  
password entries in LDAP: Kerberos credentials, userPassword and  
sambaNTHash (and sambaLMHash if enabled).

Any tool that keeps these four passwords in sync is appropriate, but  
we cannot go below this...

Best,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Thu, 05 Jan 2012 09:36:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 05 Jan 2012 09:36:32 GMT) Full text and rfc822 format available.

Message #54 received at 653912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Thu, 05 Jan 2012 10:33:13 +0100
[Mike Gabriel]
> Hi Petter,

Hi.
> I would like to discourage that: GOsa maintains/coordinates four  
> password entries in LDAP: Kerberos credentials, userPassword and  
> sambaNTHash (and sambaLMHash if enabled).

Right, good point.  Why do we need userPassword and sambaNTHash?  I
thought samba used Kerberos, and did expect everything else to use
Kerberos too.

> Any tool that keeps these four passwords in sync is appropriate, but
> we cannot go below this...

Yeah.  I had a bug report asking for a hook in Kerberos to allow it to
update other password sources on updates, but have not tracked the
status of this report for a long time.  Perhaps it is fixed in Wheezy?
:)
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Fri, 06 Jan 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Schweer <schweer@cityweb.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Fri, 06 Jan 2012 10:15:08 GMT) Full text and rfc822 format available.

Message #59 received at 653912@bugs.debian.org (full text, mbox):

From: Wolfgang Schweer <schweer@cityweb.de>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Fri, 6 Jan 2012 11:09:49 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 01, 2012 at 02:01:38PM +0100, Holger Levsen wrote:
> previously, there was a shortcut on the users desktop to change their 
> passwords with lwat. Now that we've changed to gosa there should be a 
> similar shortcut. (But there isn't.)
 
On a new installation (netinst snapshot: main+ws) I tried to reconfigure 
the kde plasma desktop to use the kde3 style showing the folder 
$HOME/Desktop.

The following worked for me to provide shortcuts for passwd change, 
openoffice and iceweasel (as a sample) for new user accounts:
----
[ root@tjener:~# ]
wget http://do.nw.schule.de/westfalenkolleg/debian-edu/chguserpw.desktop
wget http://do.nw.schule.de/westfalenkolleg/debian-edu/plasma-desktop-appletsrc
mkdir /usr/share/debian-edu/common/share/applications
cp chguserpw.desktop /usr/share/debian-edu/common/share/applications
cp plasma-desktop-appletsrc /usr/share/desktop-base/profiles/kde-profile/share/config/
dpkg-divert --add /usr/share/desktop-base/profiles/kde-profile/share/config/plasma-desktop-appletsrc 
----

Wolfgang

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Wed, 18 Jan 2012 21:37:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 18 Jan 2012 21:37:12 GMT) Full text and rfc822 format available.

Message #64 received at 653912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Wed, 18 Jan 2012 22:36:22 +0100
[Wolfgang Schweer]
> The following worked for me to provide shortcuts for passwd change,
> openoffice and iceweasel (as a sample) for new user accounts:
> ----
> [ root@tjener:~# ]
> wget http://do.nw.schule.de/westfalenkolleg/debian-edu/chguserpw.desktop
> wget http://do.nw.schule.de/westfalenkolleg/debian-edu/plasma-desktop-appletsrc
> mkdir /usr/share/debian-edu/common/share/applications
> cp chguserpw.desktop /usr/share/debian-edu/common/share/applications
> cp plasma-desktop-appletsrc /usr/share/desktop-base/profiles/kde-profile/share/config/
> dpkg-divert --add /usr/share/desktop-base/profiles/kde-profile/share/config/plasma-desktop-appletsrc 
> ----

This might be an approach, but I suspect it is easier if we just
provide a new KDE menu option for networked installs (in other words,
not the Standalone profile).  Then we avoid the divert.  Note the use
of share/debian-edu/networked-kde3/, which make sure the KDE setting
is only active on machines connected to the Main-Server.

changelog entry:

  * Add new pwdchange.desktop menu option for networked profiles
    to make it easier to figure out where to change the password.
 
Index: share/debian-edu/networked-kde3/share/applications/pwdchange.desktop
===================================================================
--- share/debian-edu/networked-kde3/share/applications/pwdchange.desktop        (revisjon 0)
+++ share/debian-edu/networked-kde3/share/applications/pwdchange.desktop        (revisjon 0)
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Type=Application
+Exec=sensible-browser https://www/gosa/
+Icon=preferences-desktop-user-account
+Terminal=false
+X-KDE-StartupNotify=true
+
+Name=Change password
+Name[nb]=Endre passord
+
+GenericName=Change LDAP and Kerberos password (web page)
+GenericName[nb]=Endre LDAP og Kerberos-passord (nettside)
+Categories=System;
Index: Makefile
===================================================================
--- Makefile    (revisjon 75532)
+++ Makefile    (arbeidskopi)
@@ -390,6 +390,7 @@
                share/debian-edu/networked-kde3/share/config/kioslaverc \
                share/debian-edu/networked-kde3/share/config/adept_notifierrc \
                share/debian-edu/networked-kde3/share/config/networkmanagementrc \
+               share/debian-edu/networked-kde3/share/applications/pwdchange.desktop \
                share/debian-edu/thin-client/share/config/kcmartsrc \
        ; do \
                $(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Thu, 19 Jan 2012 15:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Schweer <schweer@cityweb.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 19 Jan 2012 15:24:11 GMT) Full text and rfc822 format available.

Message #69 received at 653912@bugs.debian.org (full text, mbox):

From: Wolfgang Schweer <schweer@cityweb.de>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Thu, 19 Jan 2012 16:20:52 +0100
[Message part 1 (text/plain, inline)]
On Wed, 18 Jan 2012, Petter Reinholdtsen wrote:

> +GenericName=Change LDAP and Kerberos password (web page)
> +GenericName[nb]=Endre LDAP og Kerberos-passord (nettside)
> +Categories=System;

Thinking about users...

It would be better to have it additionally available under favourites. 
To achieve that, kickoffrc should be adapted and would have to be placed 
in /usr/share/debian-edu/networked-kde3/share/config/ instead of 
/usr/share/debian-edu/common/share/config/

That wouldn't change much for logins on not networked machines.

Wolfgang

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#653912; Package debian-edu-config. (Thu, 19 Jan 2012 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 19 Jan 2012 16:03:05 GMT) Full text and rfc822 format available.

Message #74 received at 653912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 653912@bugs.debian.org
Subject: Re: Bug#653912: please add shortcut to gosa pw change on users desktop
Date: Thu, 19 Jan 2012 16:58:51 +0100
[Wolfgang Schweer]
> It would be better to have it additionally available under
> favourites.  To achieve that, kickoffrc should be adapted and would
> have to be placed in
> /usr/share/debian-edu/networked-kde3/share/config/ instead of
> /usr/share/debian-edu/common/share/config/

I thougth about it too, but believe it is better to fill the
favourites with apps we want to highlight and the popular ones.  I
doubt password changing is in any of these categories.
-- 
Happy hacking
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 21 Jan 2012 19:52:10 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 21 Jan 2012 19:52:10 GMT) Full text and rfc822 format available.

Message #79 received at 653912-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 653912-close@bugs.debian.org
Subject: Bug#653912: fixed in debian-edu-config 1.448
Date: Sat, 21 Jan 2012 19:47:37 +0000
Source: debian-edu-config
Source-Version: 1.448

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config-gosa-netgroups_1.448_all.deb
  to main/d/debian-edu-config/debian-edu-config-gosa-netgroups_1.448_all.deb
debian-edu-config_1.448.dsc
  to main/d/debian-edu-config/debian-edu-config_1.448.dsc
debian-edu-config_1.448.tar.gz
  to main/d/debian-edu-config/debian-edu-config_1.448.tar.gz
debian-edu-config_1.448_all.deb
  to main/d/debian-edu-config/debian-edu-config_1.448_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653912@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jan 2012 20:31:28 +0100
Source: debian-edu-config
Binary: debian-edu-config debian-edu-config-gosa-netgroups
Architecture: source all
Version: 1.448
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
 debian-edu-config-gosa-netgroups - netgroups plugin for GOsa²
Closes: 653912 655516 656752
Changes: 
 debian-edu-config (1.448) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Add forgotten script /usr/share/debian-edu-config/tools/pxe-
     add firmware to the binary package.  Make script more robust.
     Thanks to Wolfgang Schweer for discovering the problems and
     proposing fixes.
   * Move the code inserted by cfengine into the network-manager
     dispatcher.d hook into its own file, to avoid upgrade problem.
     The code is used to update the hostname from DNS.  Add code in
     postinst to remove the now obsolete conffile
     /etc/cfengine/debian-edu/cf.network-manager during upgrades.
   * Move pre-pkgsel and finish-install code to adjust tasksel and set
     up network from debian-edu-install to debian-edu-config, to make
     it easier to change the network configuration, avoid problems with
     updating the PXE installation and bringing all related
     configuration into the debian-edu-config package.  Add breaks
     debian-edu-install (<< 1.521) to ensure a new version of the
     debian-edu-install package is used.
   * Make sure finish-install script do not exit too early if the
     entropy gathering job has exited early.
   * Change default gateway from 10.0.2.1 to 10.0.0.1 and update
     DNS A and PTR records to reflect this.
   * Add GOsa netdevices object for the default gateway to make it
     easier to change its DNS entry from GOsa.
   * Enable our menu overrides on standalone installations by adding
     MENUREORDER=true in /etc/debian-edu/config.
   * Extend the dynamic DHCP range on the thin client network from 200-
     253 to 20-243, to handle more thin clients without any
     configuration.
   * Remove redundant and non-changable loopbacknet ipNetwork from
     LDAP.  It is already in /etc/network, and hardwired in the
     kernel.
   * Add empty directory /etc/skel/.local/share in package as a
     workaround for kdelibs bug #655243.
   * Get rid of hardcoded IP addresses in CUPS configuration.  Use @LOCAL
     instead of 10.0.0.0/8 and tjener instead of 10.0.2.2, to make it
     easier to change IP setup.
   * Extend the dynamic DHCP range on the backbone network from
     10.0.2.100-10.0.3.242 to 10.0.16.20-10.0.31.254  (aka 10.0.16.0/20),
     to handle more clients without any changes to the configuration.
     This allow around 4k clients to get IP addresses out of the box.
   * Add new netgroup cups-queue-autoreenable-hosts used to re-enable
     stopped CUPS print queues every hour for the members of that
     group.  Uses new tool cups-queue-autoreenable.  Make tjener a
     member by default.
   * Add new netgroup cups-queue-autoflush-hosts used to get CUPS
     servers to flush the queue every night.  Uses new tool
     cups-queue-autoflush to call 'cancel -a'.  Enable this on the
     Main-server by default.
   * Purge network-manager in the LTSP chroot, now that bug
     #592479 is fixed.
   * Updated sitesummary2ldapdhcp:
     - Use the new LDAP subtree for DHCP objects.  Report error and
       continue when failing to create DHCP object.  Teach it to create
       GOsa server objects for new hosts.
     - Adjust it to search for its LDAP administrator objects instead
       of hardcoding the DN, and allow any admin user to be used.
     - Change it to only update by default, and to add new server
       objects when -a is used.
   * Add nb translation for the gosa-netgroups module.
   * Network blocking / exam mode:
     - Rewrite debian-edu-update-netblock to set new rules using
       iptables-restore to do this as an atomic operation to get it
       working on LTSP clients.
     - Add netgroup netblock-hosts in LDAP to list machines that should
       activate the network blocking and file group nonetblk used by
       debian-edu-update-netblock to exclude selected users from
       network blocking.
     - Add cron job to consult LDAP every 5 minutes to see if network
       blocking should be enabled or not.
     - Add /sbin to PATH in debian-edu-update-netblock to get the
       script working from cron.
     - Allow system users nslcd, openldap, xrdp, www-data, avahi,
       dovecot, statd and daemon full Internet access also when network
       blocking is in effect, to make sure system services keep working
       as they should.
   * Add --previous to msgmerge call in www/Makefile to keep previous
     strings when updating tranlations.  Patch from David Prévot.
   * Rewrite build rule for the welcome page to use po4a
     (Closes: #655516).  Patch from David Prévot.
   * Remove obsolete script /usr/share/debian-edu-config/tools/ldap-users.pl.
   * Make sure all sambaSIDs are bootstrapped using $SAMBASID and fix
     typo causing duplicate sambaSid.
   * Add backup testsuite test to detect bug #626884.
   * Remove closing of file descriptors when starting bind from
     ldap-debian-edu-install which was introduced to try to solve the
     problem before we understood the entropy hang.
   * Adjust www/index.html.en to become valid XHTML.  Patch from
     David Prévot.
   * Migrate 'localadmin' user from /etc/passwd to the first LDAP user.
     Make first LDAP user a member of the teachers group to enable the
     KDE menu overrides.  If user-setup-udeb ask for information on the
     first user on the Main-Server installs, use this information when
     setting it up the first LDAP user instead of using 'localadmin' as
     the username.
   * Add new pwdchange.desktop KDE menu option for networked profiles
     to make it easier for users to figure out where to change the
     password (Closes: #653912).  Include many translations for the
     password changing menu entry using patch from Wolfgang Schweer.
   * Add workaround for #656309 in libpam-krb5 by replacing
     /usr/share/pam-configs/krb5 with our own version, to get passwd
     and all tools using it to change the kerberos password.  Using PAM
     to change the password do not change the LDAP and Samba passwords,
     and should in general be avoided.  Call 'pam-auth-update
     --package' after updating /usr/share/pam-configs/ to activate the
     change.
   * Remove the ldap-auth group intended to force users to authenticate
     using Kerberos.  It is not used yet, and probably can't be used
     for its intended purpose for Squeeze as GOsa uses LDAP bind to
     authenticate users.
   * Remove now obsolete traces of super-admin user.
 .
   [ Mike Gabriel ]
   * Additionally to the README.unused-ldifs file all LDAP bootstrap files
     that are not used in D-E squeeze anymore are marked as obsolete in their
     file header.
   * Remove obsolete ldif files (files not LDAP-bootstrapped anymore on main
     server installation) during package upgrades.
   * Add global GOsa² ACL to LDAP's BaseDN that disables
     to manipulate gotoMode, userPassword and faiState via
     GOsa². Consequences: (a) The Mode and the Actions drop-down
     menus become inactive (read-only) for server systems. (b) Setting
     of root accounts on server's gets disabled. (c) FAI is not in use
     on a D-E network by default. All three functionalities
     are broken with the D-E version of GOsa² (2.6.11), so it is better
     to disable those options.
   * A host within a netgroup should always be represented by two
     nisNetgroupTriple values, one for (<hostname>,,), one for
     (<fqdn>,,), as different netgroup clients handle these differently.
     The GOsa² netgroups plugin also supports this. Fixing this for the
     netgroups in LDAP bootstrap.
   * Add main-server (aka tjener) to fsautoresize-hosts netgroup during
     LDAP bootstrap to enable automatic LVM file system resizing by
     default.
   * Set minimum password length to 5 characters (GOsa², Kerberos via
     policy).  For Samba the default is 5, libpam-krb5 also uses 5 by
     default.
   * Replace super-admin DN by administrative group DN gosa-admins.
     Add initial user to this gosa-admins group.
   * Add Kerberos policy ,,hosts'' on main server installation.
   * Add gosa-create-host script as possible post-create hook for
     GOsa² system creation (not activated in GOsa² yet).
 .
   * Translation updates:
     - Updates for Italian debconf templates from Claudio Carboncini.
     - Updates for French web page from David Prévot.
     - Updates for Russian web page from Yuri Kozlov (Closes: #656752).
Checksums-Sha1: 
 be4f27b3c20ed1729d338c018b0033c07ccb4bf4 1447 debian-edu-config_1.448.dsc
 4835cbe78413ed6fe7d63da8295d37f10030ece2 492738 debian-edu-config_1.448.tar.gz
 7d7d1eb2a785901bcae4053662f192ca84ed1475 381242 debian-edu-config_1.448_all.deb
 cf62174fa5f6048c16482a834ba41293ddac8dc8 109180 debian-edu-config-gosa-netgroups_1.448_all.deb
Checksums-Sha256: 
 6dfc38ab449b3efed917614cda257acf209e8aadc05bb64a17a60272eec974d4 1447 debian-edu-config_1.448.dsc
 0283eb9175ae98a2acd4116132cc38b2b6c07a5e9fb726693a80551a8d92632a 492738 debian-edu-config_1.448.tar.gz
 492cad00306f1e21dff61dbee333b905569247bd21eb7733b08557a73bf61141 381242 debian-edu-config_1.448_all.deb
 eaa7f45707fdac27d7b6b7e1be33f1542f3044598e7b1090648c353a1fc9a0f9 109180 debian-edu-config-gosa-netgroups_1.448_all.deb
Files: 
 85c3388216ffb8528549ebfa631109f8 1447 misc extra debian-edu-config_1.448.dsc
 592947589813cd81f72c743ba3f35a5a 492738 misc extra debian-edu-config_1.448.tar.gz
 778e379660e8c6c1b7aaace3cedc01a8 381242 misc extra debian-edu-config_1.448_all.deb
 9854ed08db59e2f32c9f81a36fe1198c 109180 misc extra debian-edu-config-gosa-netgroups_1.448_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD4DBQFPGxOe20zMSyow1ykRAtEtAKCPPqHc6c59gbEDE8eHj/HPeDpJggCXSE7B
evfieoSkGGE4S0uobuwN6g==
=Xca0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Feb 2012 07:37:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:28:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.